WordPress.org

Ready to get started?Download WordPress

Forums

SyntaxHighlighter Evolved
[resolved] HTML5 validity update XHTML 1.0 Transitional invalid (2 posts)

  1. NoMad1337
    Member
    Posted 1 year ago #

    The recent update, 3.1.6 should generate an output valid for HTML5
    However, this breaks validity for XHTML 1.0 Transitional...

    Please insert the type attribute for the style tag, something like
    <style type="text/plain" id="syntaxhighlighteranchor"></style>

    This is more accurate HTML5, also valid for XHTML (didn't test all versions, though)

    See also: http://validator.w3.org/check?uri=http%3a%2f%2fwww%2etacticalcode%2ede%2f

    http://wordpress.org/extend/plugins/syntaxhighlighter/

  2. Alex Mills (Viper007Bond)
    Moderator
    Plugin Author

    Posted 1 year ago #

    Thanks! That was an oversight on my part -- it should have been added. I'll get it into the next version. :)

    https://github.com/Viper007Bond/syntaxhighlighter/commit/0a3416e74b63b36839a19c43d87d95d0f23189e9

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic